=== src/CMakeLists.txt ===
set(KIMAGEANNOTATOR_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/gui/KImageAnnotator.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/CoreView.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/AnnotationWidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/AnnotationView.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/scrollAndZoomView/ScrollAndZoomView.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/scrollAndZoomView/ViewZoomer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/settings/ItemSettingsWidgetConfigurator.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/settings/AnnotationSettingsAdapter.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/settings/AnnotationItemSettings.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/settings/AnnotationImageSettings.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/settings/AnnotationGeneralSettings.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/settings/AnnotationToolSelection.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/settings/AnnotationControlsWidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/docks/AnnotationDockWidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/docks/AnnotationDockWidgetDragHandle.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/docks/AbstractAnnotationDockWidgetContent.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/tabs/AnnotationTabContent.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/tabs/AnnotationTabWidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/tabs/AnnotationTabContextMenu.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/tabs/AnnotationTabCloser.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/annotator/tabs/AnnotationTabClickEventFilter.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/canvasModifier/ModifyCanvasView.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/canvasModifier/ModifyCanvasWidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/canvasModifier/ModifyCanvasSelectionRestrictor.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/cropper/CropWidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/cropper/CropView.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/cropper/CropSelectionRestrictor.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/cutter/CutSelectionRestrictor.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/cutter/CutView.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/cutter/CutWidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/selection/SelectionHandler.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/selection/SelectionMoveHelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/gui/selection/BaseSelectionHandles.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/selection/SelectionHandlesAll.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/selection/SelectionHandlesHorizontal.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/selection/SelectionHandlesVertical.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/selection/BaseSelectionView.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/rotator/RotateDialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/rotator/RotateWidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/scaler/ScaleDialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/scaler/ScaleWidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gui/scaler/ScaleSizeHandler.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/ZoomValueProvider.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/AnnotationArea.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/AnnotationItemFactory.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/AnnotationPropertiesFactory.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/AbstractSettingsProvider.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/imageEffects/ImageEffectFactory.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/imageEffects/NoImageEffect.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/imageEffects/DropShadowImageEffect.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/imageEffects/BorderImageEffect.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/imageEffects/GrayscaleImageEffect.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/core/imageEffects/InvertColorImageEffect.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationProperties.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationPathProperties.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationTextProperties.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationObfuscateProperties.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/properties/AnnotationStickerProperties.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationItemModifier.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationItemResizer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationMultiItemResizer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationItemSelector.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationItemMover.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationItemArranger.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/AnnotationItemEditor.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/resizeHandles/AbstractItemResizeHandles.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/resizeHandles/AbstractRectResizeHandles.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/resizeHandles/LineResizeHandles.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/resizeHandles/RectResizeHandles.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/resizeHandles/PathResizeHandles.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/resizeHandles/PointerRectResizeHandles.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/resizeHandles/ResizeHandle.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/modifiers/resizeHandles/ResizeHandlesFactory.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AbstractAnnotationItem.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AbstractAnnotationLine.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AbstractAnnotationObfuscate.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AbstractAnnotationRect.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AbstractAnnotationPointerRect.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AbstractAnnotationPath.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationLine.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationMarkerEllipse.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationMarkerPen.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationMarkerRect.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationArrow.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationDoubleArrow.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationRect.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationEllipse.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationNumber.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationNumberPointer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationNumberArrow.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationPen.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationPixelate.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationText.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationTextPointer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationTextArrow.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationBlur.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationImage.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationSticker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/AnnotationDuplicate.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/BaseAnnotationNumber.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/text/AnnotationTextHandler.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/text/KeyInputHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/text/TextCursor.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/text/CapsLockStatusChecker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/helper/NumberRectHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/items/helper/AnnotationShapeCreator.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/AddCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/DeleteCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/FlipCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/MoveCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/ResizeCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/ArrangeCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/CropCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/CutCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/ScaleCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/RotateCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/PasteCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/ChangePropertiesCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/undo/ModifyCanvasCommand.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/itemEffects/ShadowEffect.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/itemEffects/NoEffect.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/ImageBlurrer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/AnnotationItemClipboard.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/AnnotationContextMenu.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/NumberManager.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/annotations/misc/CanvasPainter.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/backend/Config.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/backend/SettingsAdapter.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/provider/DevicePixelRatioScaler.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/provider/ScaledSizeProvider.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/CursorHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/KeyHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/MathHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/ItemHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/ShapeHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/ConfigNameHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/IconLoader.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/helper/PathHelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/filter/IgnoreShortcutsFilter.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/filter/KeyEventListener.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/common/platform/PlatformChecker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/ToolPicker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/Controls.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/CustomFontComboBox.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/CustomSpinBox.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/CustomToolButton.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/CustomToolButtonAction.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/ToggleButton.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/ColorDialogButton.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/settingsPicker/ColorPicker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/settingsPicker/NumberPicker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/settingsPicker/BoolPicker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/settingsPicker/FillModePicker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/settingsPicker/FontPicker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/settingsPicker/SettingsPickerWidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/settingsPicker/StickerPicker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/settingsPicker/ImageEffectPicker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/settingsPicker/ZoomPicker.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/menuButtons/GridMenu.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/menuButtons/GridMenuButton.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/menuButtons/GridMenuToolButton.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/menuButtons/ListMenuToolButton.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/menuButtons/ListMenu.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/menuButtons/ListMenuItem.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/menuButtons/ListItemGroup.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/misc/AbstractExpandingWidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/misc/FlowLayout.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/widgets/misc/AttachedSeparator.cpp
	)

set(KIMAGEANNOTATOR_SRCS ${KIMAGEANNOTATOR_SRCS} PARENT_SCOPE)
