=== debian/changelog ===
kimageannotator (0.6.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Thu, 26 May 2022 00:02:56 -0400

kimageannotator (0.6.0-1~exp1) experimental; urgency=medium

  * New upstream release. 
  * debian/shlibs: Tighten version requirement.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 May 2022 16:01:19 -0400
