## kimageannotator 0.6.1

=== debian/changelog ===
kimageannotator (0.6.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 08 Jan 2024 14:25:25 -0800

kimageannotator (0.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jun 2023 12:15:57 -0400

kimageannotator (0.6.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Mar 2023 14:22:35 -0400
