=== debian/control ===
Source: kimageannotator
Section: libs
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 qtbase5-dev,
 libkcolorpicker-dev (>= 0.2.0~),
 qttools5-dev-tools,
 qttools5-dev,
 libqt5svg5-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/ksnip/kImageAnnotator
Vcs-Git: https://salsa.debian.org/debian/kimageannotator.git
Vcs-Browser: https://salsa.debian.org/debian/kimageannotator

Package: libkimageannotator-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libkcolorpicker-dev,
 libkimageannotator0 (= ${binary:Version}),
 ${misc:Depends},
Description: Image Annotating Library (dev)
 The kImageAnnotator library provides tools to annotate
 images. This library is used by the ksnip project.
 .
 This package provides the development files.

Package: libkimageannotator0
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libkimageannotator-common (= ${source:Version}),
Description: Image Annotating Library (lib)
 The kImageAnnotator library provides tools to annotate
 images. This library is used by the ksnip project.
 .
 This package provides the shared library.

Package: libkimageannotator-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks: libkimageannotator0 (<< 0.3.1-3),
Replaces: libkimageannotator0 (<< 0.3.1-3),
Description: Image Annotating Library (common data files)
 The kImageAnnotator library provides tools to annotate
 images. This library is used by the ksnip project.
 .
 This package provides the architecture-independent files used by
 the library, including the translation files.
