=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	    -DBUILD_SHARED_LIBS=ON
+
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym
