=== example/CMakeLists.txt ===
    add_executable(kImageAnnotator-example main.cpp)

target_link_libraries(kImageAnnotator-example kImageAnnotator)
