=== debian/changelog ===
kimageannotator (0.7.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 May 2024 14:41:32 -0400

kimageannotator (0.7.1-1~exp2) experimental; urgency=medium

  * debian/control: Put package under Debian KDE Extras Team maintenance.
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Apr 2024 22:00:44 -0400

kimageannotator (0.7.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/0001-Make-Qt5-Qt6-library-coinstallable.patch:
    Add patch to make Qt5 and Qt6 libraries coinstallable.
  * Split package to support both Qt5 and Qt6.
    + libkimageannotator-qt5-0
    + libkimageannotator-qt6-0
    + libkimageannotator-qt5-dev
    + libkimageannotator-qt6-dev

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Mar 2024 15:36:50 -0400
