=== debian/control ===
Source: kimageannotator
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libkcolorpicker-qt5-dev (>= 0.3.1~),
 libkcolorpicker-qt6-dev (>= 0.3.1~),
 libqt5svg5-dev,
 qt6-base-dev,
 qt6-svg-dev,
 qt6-tools-dev,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/ksnip/kImageAnnotator
Vcs-Git: https://salsa.debian.org/debian/kimageannotator.git
Vcs-Browser: https://salsa.debian.org/debian/kimageannotator

Package: libkimageannotator-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libkcolorpicker-qt5-dev,
 libkimageannotator-qt5-0 (= ${binary:Version}),
 ${misc:Depends},
Description: Image Annotating Library (Qt5 dev)
 The kImageAnnotator library provides tools to annotate
 images. This library is used by the ksnip project.
 .
 This package provides the Qt5 development files.

Package: libkimageannotator-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks:
 libkimageannotator0 (<< 0.3.1-3),
Replaces:
 libkimageannotator0 (<< 0.3.1-3),
Description: Image Annotating Library (common data files)
 The kImageAnnotator library provides tools to annotate
 images. This library is used by the ksnip project.
 .
 This package provides the architecture-independent files used by
 the library, including the translation files.

Package: libkimageannotator-qt5-0
Architecture: any
Multi-Arch: same
Depends:
 libkimageannotator-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Image Annotating Library (Qt5 lib)
 The kImageAnnotator library provides tools to annotate
 images. This library is used by the ksnip project.
 .
 This package provides the Qt5 shared library.

Package: libkimageannotator-qt6-0
Architecture: any
Multi-Arch: same
Depends:
 libkimageannotator-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Image Annotating Library (Qt6 lib)
 The kImageAnnotator library provides tools to annotate
 images. This library is used by the ksnip project.
 .
 This package provides the Qt6 shared library.

Package: libkimageannotator-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libkcolorpicker-qt6-dev,
 libkimageannotator-qt6-0 (= ${binary:Version}),
 ${misc:Depends},
Description: Image Annotating Library (Qt6 dev)
 The kImageAnnotator library provides tools to annotate
 images. This library is used by the ksnip project.
 .
 This package provides the Qt6 development files.
