## kimageannotator 0.7.1+p24.04+vstable+git20250801.0438

=== debian/changelog ===
kimageannotator (0.7.1+p24.04+vstable+git20250801.0438-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 01 Aug 2025 04:38:54 +0000

kimageannotator (0.7.1-1) noble; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 May 2024 14:41:32 -0400
