=== debian/changelog ===
kimageannotator (0.7.1+p24.04+vstable+git20250810.0907-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 10 Aug 2025 09:07:22 +0000
