## kimageannotator 0.7.1+p24.04+vstable+git20251123.0938

=== debian/changelog ===
kimageannotator (0.7.1+p24.04+vstable+git20251123.0938-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:38:12 +0000
