## kimageannotator 0.7.1+p24.04+vstable+git20251203.0258

=== debian/changelog ===
kimageannotator (0.7.1+p24.04+vstable+git20251203.0258-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 02:58:44 +0000
