## kimageannotator 0.7.1+p24.04+vunstable+git20251125.0134

=== debian/changelog ===
kimageannotator (0.7.1+p24.04+vunstable+git20251125.0134-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 25 Nov 2025 01:34:22 +0000
