## kimageannotator 0.7.1+p24.04+vunstable+git20251203.0050

=== debian/changelog ===
kimageannotator (0.7.1+p24.04+vunstable+git20251203.0050-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 00:50:52 +0000
