## kimageannotator 0.7.2

=== debian/changelog ===
kimageannotator (0.7.2-2) unstable; urgency=medium

  * Rebuild against kcolorpicker/0.3.1-3.
  * Bump Standards-Version to 4.7.3, no changes needed.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Wed, 31 Dec 2025 14:45:32 -0500

kimageannotator (0.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Nov 2025 21:13:08 -0500
