=== debian/watch ===
Version: 5

Template: Github
Owner: ksnip
Project: kimageannotator
